"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSalesforceConnection = isSalesforceConnection;
exports.isDataCloudConnection = isDataCloudConnection;
exports.adjustConnectionType = adjustConnectionType;
function isSalesforceConnection(connection) {
    return connection.salesforce_org !== undefined;
}
function isDataCloudConnection(connection) {
    return !isSalesforceConnection(connection);
}
function adjustConnectionType(type) {
    return type === 'DatacloudOrg' ? 'DataCloudOrg' : type;
}
