import Command from '../../lib/base';
import open from 'open';
export default class Connect extends Command {
    static description: string;
    static flags: {
        app: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        browser: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        'login-url': import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        remote: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    static args: {
        org_name: import("@oclif/core/lib/interfaces/parser").Arg<string, Record<string, unknown>>;
    };
    static urlOpener: (...args: Parameters<typeof open>) => ReturnType<typeof open>;
    run(): Promise<void>;
    protected isPendingState(state: string): boolean;
}
